Skip to main content
GET
/
moderation
/
rules
/
{ruleId}
/
revisions
Get Rule Revisions
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/moderation/rules/{ruleId}/revisions \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "id": "moderation-test",
      "name": "Video Moderation",
      "description": "AI-powered video moderation to detect unsafe content.",
      "enabled": true,
      "conditions": [
        {
          "id": 1,
          "isKeywordsReferencePresent": false,
          "isMediaPresent": false,
          "entity": "message",
          "operand": "text",
          "category": "word",
          "operator": "equals",
          "value": [
            "paris"
          ]
        }
      ],
      "action": [
        "blockMessage"
      ],
      "active": true,
      "createdAt": 1720011899,
      "updatedAt": 1720011905,
      "revisionId": "253179cf5f665257_moderation-test_2"
    },
    {
      "id": "moderation-test",
      "name": "Video Moderation",
      "description": "AI-powered video moderation to detect unsafe content.",
      "enabled": true,
      "conditions": [
        {
          "id": 1,
          "isKeywordsReferencePresent": false,
          "isMediaPresent": true,
          "entity": "message",
          "operand": "image",
          "category": "word",
          "operator": "contains",
          "value": [
            "violence_greaterThan_30"
          ],
          "message": [
            "Image contains violence with confidence greater than 30"
          ]
        }
      ],
      "action": [
        "blockMessage"
      ],
      "active": false,
      "createdAt": 1720011899,
      "updatedAt": 1720011899,
      "revisionId": "253179cf5f665257_moderation-test_1"
    }
  ],
  "meta": {
    "current": {
      "limit": 10,
      "count": 2
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

ruleId
string
required

Rule ID

Response

200 - application/json

List Rule revisions

data
object